// We toss everything in a ThinkFrame so we can let the CustomGibsThinker.lua load first!
local ScriptLoaded = false
addHook("ThinkFrame", function()
	if not(ScriptLoaded)
	and CUSTOM_GIBS then
		ScriptLoaded = true 

		// Create your list of skins for custom gibs here!
		// 		sprite -	The SPR to switch to
		// 		frame -		The frame of the SPR to switch to
		// 		nullifier - Set to true if you want to remove this part

		// Tails uses the full list of available gibs to replace.
		CUSTOM_GIBS["opaopa_bepis"] = {
			[SPR_DIEA] = {sprite = SPR_OPGB, frame = D, nullifier = false}, -- tires
			[SPR_DIEB] = {sprite = SPR_OPGB, frame = B, nullifier = false}, -- pipeframe bars
			[SPR_DIEC] = {sprite = SPR_OPGB, frame = G, nullifier = false}, -- pedal tip
			[SPR_DIED] = {sprite = SPR_OPGB, frame = C, nullifier = false}, -- right pedal
			[SPR_DIEE] = {sprite = SPR_OPGB, frame = E, nullifier = false}, -- steering wheel
			[SPR_DIEG] = {sprite = SPR_OPGB, frame = F, nullifier = false}, -- left pedal
			[SPR_DIEH] = {sprite = SPR_OPGB, frame = G, nullifier = true}, -- strut
			[SPR_DIEI] = {sprite = SPR_OPGB, frame = H, nullifier = true}, -- wheel axle bar
		}
	end
end)